[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

emacs.c broken by revision 1.435

From: Tim Van Holder
Subject: emacs.c broken by revision 1.435
Date: Wed, 23 Jul 2008 09:24:54 +0200

The "LINUX_SBRK_BUG" condition was incorrectly replaced with

#if (GNU_LINUX) && __GNU_LIBRARY__ - 0 < 6
  __sbrk (1);

instead of

#if defined (GNU_LINUX) && __GNU_LIBRARY__ - 0 < 6
  __sbrk (1);

resulting in a broken build.

I'm also not quite certain why a condition that was only present in an
Alpha header is now being used for all platforms. But I suppose the
__sbrk call is sufficiently harmless?

reply via email to

[Prev in Thread] Current Thread [Next in Thread]